<?php
require( 'inc/theme-options.php' );
register_nav_menu('footer','Footer Menu');
register_nav_menu('top','Top Menu');
register_nav_menu('header','Header Menu');
function inc($arg) { 
   include('inc/'.$arg.'.php');
}
add_action( 'widgets_init', 'glassy_shop_widgets_init' );
function glassy_shop_widgets_init() {
register_sidebar(array(
'name'   => __( 'Sidebar', 'glassy_shop' ),
        'id' => 'two-column',
        'description' => __( 'The widget Area for all Product Pages.', 'glassy_shop' ),
        'before_widget' => '<div id="%1$s" class="widget %2$s">',
        'after_widget' => "</div>",
        'before_title' => '<h2 class="widget-title">',
        'after_title' => '</h2>'
    ) );
register_sidebar(array(
'name'   => __( 'Blog Sidebar', 'glassy_shop' ),
        'id' => 'b-column',
        'description' => __( 'The widget Area for all Product Pages.', 'glassy_shop' ),
        'before_widget' => '<div id="%1$s" class="widget %2$s">',
        'after_widget' => "</div>",
        'before_title' => '<h2 class="widget-title">',
        'after_title' => '</h2>'
    ) );
register_sidebar(array(
'name'   => __( 'footer', 'glassy_shop' ),
        'id' => 'footer-column',
        'description' => __( 'The widget Area for Footer.', 'glassy_shop' ),
        'before_widget' => '<div id="%1$s" class="f_widget col-md-3 %2$s">',
        'after_widget' => "</div>",
        'before_title' => '<h2 class="widget-title">',
        'after_title' => '</h2>'
    ) );
}
if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}

remove_action( 'woocommerce_before_main_content', 'woocommerce_output_content_wrapper', 10);
remove_action( 'woocommerce_after_main_content', 'woocommerce_output_content_wrapper_end', 10);
add_action('woocommerce_before_main_content', create_function('', 'echo "<div class=\"container\"><div class=\"row\">";'), 10);
add_action('woocommerce_after_main_content', create_function('', 'echo "</div></div>";'), 10);
add_action( 'after_setup_theme', 'woocommerce_support' );
function woocommerce_support() {
add_theme_support( 'woocommerce' );
} 
add_action( 'woocommerce_archive_description', 'woocommerce_category_image', 2 );
function woocommerce_category_image() {
    if ( is_product_category() ){
	    global $wp_query;
	    $cat = $wp_query->get_queried_object();
	    $thumbnail_id = get_woocommerce_term_meta( $cat->term_id, 'thumbnail_id', true );
	    $image = wp_get_attachment_url( $thumbnail_id );
	    if ( $image ) {
		    echo '<img src="' . $image . '" alt="" />';
		}
	}
}
function woo_related_products_limit() {
  global $product;
	
	$args['posts_per_page'] = 4;
	return $args;
}
add_filter( 'woocommerce_output_related_products_args', 'jk_related_products_args' );
  function jk_related_products_args( $args ) {

	$args['posts_per_page'] = 4; // 4 related products
        $args['columns'] =4;
	return $args;
}
function glassy_shop_theme_supports(){
add_theme_support( 'automatic-feed-links' );
add_theme_support( 'post-thumbnails' );
}
add_action( 'after_setup_theme', 'glassy_shop_theme_supports' );
include('inc/required-plugins.php');
add_action( 'woocommerce_after_shop_loop_item', 'woocommerce_product_loop_tags', 5 );

function woocommerce_product_loop_tags() {
    global $post, $product;

    $tag_count = sizeof( get_the_terms( $post->ID, 'product_tag' ) );

    echo $product->get_tags( ', ', '<span class="tagged_as">' . _n( 'Tag:', 'Tags:', $tag_count, 'woocommerce' ) . ' ', '.</span>' );
}

if ( ! function_exists( 'glassy_shop_comment_nav' ) ) :
 
 function glassy_shop_comment_nav() {
     // Are there comments to navigate through?
      if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) :
       ?>
       <nav class="navigation comment-navigation" role="navigation">
          <div class="nav-links">
             <?php
                  if ( $prev_link = get_previous_comments_link( __( 'Older Comments', 'glassy_shop' ) ) ) :
                       printf( '<div class="nav-previous">%s</div>', $prev_link );
                    endif;
    
                   if ( $next_link = get_next_comments_link( __( 'Newer Comments', 'glassy_shop' ) ) ) :
                        printf( '<div class="nav-next">%s</div>', $next_link );
                    endif;
                ?>
            </div><!-- .nav-links -->
        </nav><!-- .comment-navigation -->
        <?php
        endif;
    }
    endif;
if ( ! isset( $content_width ) ) {
	$content_width = 600;
}
function the_breadcrumb() {
                echo '<ul id="breadcrumbs">';
        if (!is_home()) {
                echo '<li><a href="';
                echo home_url();
                echo '">';
                echo 'Home';
                echo "</a></li>";
                if (is_category() || is_single()) {
                        echo '<li>';
                        the_category(' </li><li> ');
                        if (is_single()) {
                                echo "</li><li>";
                                the_title();
                                echo '</li>';
                        }
                } elseif (is_page()) {
                        echo '<li>';
                        echo the_title();
                        echo '</li>';
                }
        }
        elseif (is_tag()) {single_tag_title();}
        elseif (is_day()) {echo"<li>Archive for "; the_time(get_option( 'date_format' )); echo'</li>';}
        elseif (is_month()) {echo"<li>Archive for "; the_time(get_option( 'date_format' )); echo'</li>';}
        elseif (is_year()) {echo"<li>Archive for "; the_time(get_option( 'date_format' )); echo'</li>';}
        elseif (is_author()) {echo"<li>Author Archive"; echo'</li>';}
        elseif (isset($_GET['paged']) && !empty($_GET['paged'])) {echo "<li>Blog Archives"; echo'</li>';}
        elseif (is_search()) {echo"<li>Search Results"; echo'</li>';}
        echo '</ul>';
}
function theme_slug_setup() {
   add_theme_support( 'title-tag' );
}
add_action( 'after_setup_theme', 'theme_slug_setup' );
if ( ! function_exists( '_wp_render_title_tag' ) ) :
    function theme_slug_render_title() {
?>
<title><?php wp_title( '|', true, 'right' ); ?></title>
<?php
    }
    add_action( 'wp_head', 'theme_slug_render_title' );
endif;
add_theme_support( 'custom-header' );
add_theme_support( 'custom-background' );
function my_theme_add_editor_styles() {
    add_editor_style( 'custom-editor-style.css' );
}
add_action( 'admin_init', 'my_theme_add_editor_styles' );
?>